commit: 0ecf16fd3d01d84afa35412ff9a2aad8b174d422
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 22 11:05:31 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Oct 22 11:09:19 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ecf16fd
dev-python/pymongo: Drop deprecated usage of DISTUTILS_NO_PARALLEL_BUILD and QA
fixes
Add missing die
ADd missing PYTHON_USEDEP
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/pymongo/pymongo-2.6.3.ebuild | 15 ++++-----------
dev-python/pymongo/pymongo-2.7.2.ebuild | 15 ++++-----------
dev-python/pymongo/pymongo-2.8.1.ebuild | 15 ++++-----------
dev-python/pymongo/pymongo-3.0.3.ebuild | 16 +++++-----------
4 files changed, 17 insertions(+), 44 deletions(-)
diff --git a/dev-python/pymongo/pymongo-2.6.3.ebuild
b/dev-python/pymongo/pymongo-2.6.3.ebuild
index 7eb0fbf..9050b51 100644
--- a/dev-python/pymongo/pymongo-2.6.3.ebuild
+++ b/dev-python/pymongo/pymongo-2.6.3.ebuild
@@ -22,7 +22,7 @@ DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? ( dev-python/nose[${PYTHON_USEDEP}] )
- kerberos? ( dev-python/pykerberos )"
+ kerberos? ( dev-python/pykerberos[${PYTHON_USEDEP}] )"
DISTUTILS_IN_SOURCE_BUILD=1
reqcheck() {
@@ -49,20 +49,13 @@ python_compile_all() {
fi
}
-src_test() {
+python_test() {
# Yes, we need TCP/IP for that...
local DB_IP=127.0.0.1
local DB_PORT=27000
export DB_IP DB_PORT
- # 1.5G of disk space per run.
- local DISTUTILS_NO_PARALLEL_BUILD=1
-
- distutils-r1_src_test
-}
-
-python_test() {
local dbpath=${TMPDIR}/mongo.db
local logpath=${TMPDIR}/mongod.log
@@ -108,11 +101,11 @@ python_test() {
fi
DB_PORT2=$(( DB_PORT + 1 )) DB_PORT3=$(( DB_PORT + 2 )) esetup.py test
|| failed=1
- mongod --dbpath "${dbpath}" --shutdown
+ mongod --dbpath "${dbpath}" --shutdown || die
[[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
- rm -rf "${dbpath}"
+ rm -rf "${dbpath}" || die
}
python_install() {
diff --git a/dev-python/pymongo/pymongo-2.7.2.ebuild
b/dev-python/pymongo/pymongo-2.7.2.ebuild
index 122dca4..4909993 100644
--- a/dev-python/pymongo/pymongo-2.7.2.ebuild
+++ b/dev-python/pymongo/pymongo-2.7.2.ebuild
@@ -18,7 +18,7 @@ KEYWORDS="amd64 ~hppa x86"
IUSE="doc kerberos test"
RDEPEND="
- kerberos? ( dev-python/pykerberos )
+ kerberos? ( dev-python/pykerberos[${PYTHON_USEDEP}] )
"
DEPEND="
${RDEPEND}
@@ -55,20 +55,13 @@ python_compile_all() {
fi
}
-src_test() {
+python_test() {
# Yes, we need TCP/IP for that...
local DB_IP=127.0.0.1
local DB_PORT=27000
export DB_IP DB_PORT
- # 1.5G of disk space per run.
- local DISTUTILS_NO_PARALLEL_BUILD=1
-
- distutils-r1_src_test
-}
-
-python_test() {
local dbpath=${TMPDIR}/mongo.db
local logpath=${TMPDIR}/mongod.log
@@ -114,11 +107,11 @@ python_test() {
fi
DB_PORT2=$(( DB_PORT + 1 )) DB_PORT3=$(( DB_PORT + 2 )) esetup.py test
|| failed=1
- mongod --dbpath "${dbpath}" --shutdown
+ mongod --dbpath "${dbpath}" --shutdown || die
[[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
- rm -rf "${dbpath}"
+ rm -rf "${dbpath}" || die
}
python_install_all() {
diff --git a/dev-python/pymongo/pymongo-2.8.1.ebuild
b/dev-python/pymongo/pymongo-2.8.1.ebuild
index 059bdf5..de75b07 100644
--- a/dev-python/pymongo/pymongo-2.8.1.ebuild
+++ b/dev-python/pymongo/pymongo-2.8.1.ebuild
@@ -18,7 +18,7 @@ KEYWORDS="~amd64 ~hppa ~x86"
IUSE="doc kerberos test"
RDEPEND="
- kerberos? ( dev-python/pykerberos )
+ kerberos? ( dev-python/pykerberos[${PYTHON_USEDEP}] )
"
DEPEND="
${RDEPEND}
@@ -55,20 +55,13 @@ python_compile_all() {
fi
}
-src_test() {
+python_test() {
# Yes, we need TCP/IP for that...
local DB_IP=127.0.0.1
local DB_PORT=27000
export DB_IP DB_PORT
- # 1.5G of disk space per run.
- local DISTUTILS_NO_PARALLEL_BUILD=1
-
- distutils-r1_src_test
-}
-
-python_test() {
local dbpath=${TMPDIR}/mongo.db
local logpath=${TMPDIR}/mongod.log
@@ -114,11 +107,11 @@ python_test() {
fi
DB_PORT2=$(( DB_PORT + 1 )) DB_PORT3=$(( DB_PORT + 2 )) esetup.py test
|| failed=1
- mongod --dbpath "${dbpath}" --shutdown
+ mongod --dbpath "${dbpath}" --shutdown || die
[[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
- rm -rf "${dbpath}"
+ rm -rf "${dbpath}" || die
}
python_install_all() {
diff --git a/dev-python/pymongo/pymongo-3.0.3.ebuild
b/dev-python/pymongo/pymongo-3.0.3.ebuild
index 84c8bd5..de75b07 100644
--- a/dev-python/pymongo/pymongo-3.0.3.ebuild
+++ b/dev-python/pymongo/pymongo-3.0.3.ebuild
@@ -18,13 +18,14 @@ KEYWORDS="~amd64 ~hppa ~x86"
IUSE="doc kerberos test"
RDEPEND="
- kerberos? ( dev-python/pykerberos )
+ kerberos? ( dev-python/pykerberos[${PYTHON_USEDEP}] )
"
DEPEND="
${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? (
+ dev-python/nose[${PYTHON_USEDEP}]
>=dev-db/mongodb-2.6.0
)
"
@@ -54,20 +55,13 @@ python_compile_all() {
fi
}
-src_test() {
+python_test() {
# Yes, we need TCP/IP for that...
local DB_IP=127.0.0.1
local DB_PORT=27000
export DB_IP DB_PORT
- # 1.5G of disk space per run.
- local DISTUTILS_NO_PARALLEL_BUILD=1
-
- distutils-r1_src_test
-}
-
-python_test() {
local dbpath=${TMPDIR}/mongo.db
local logpath=${TMPDIR}/mongod.log
@@ -113,11 +107,11 @@ python_test() {
fi
DB_PORT2=$(( DB_PORT + 1 )) DB_PORT3=$(( DB_PORT + 2 )) esetup.py test
|| failed=1
- mongod --dbpath "${dbpath}" --shutdown
+ mongod --dbpath "${dbpath}" --shutdown || die
[[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
- rm -rf "${dbpath}"
+ rm -rf "${dbpath}" || die
}
python_install_all() {